/* botones */

/* boton negro */

.botonblack,
.botonwhite {
  display: inline-block;
  text-align: center;
  font-weight: bold;
  padding: 1.18rem 2.32rem;
  margin: 5px 10px 5px 0;
  line-height: 1;
  border-radius: 25px;
  position: relative;
  z-index: 0;
  min-width: 8.23rem;
  text-decoration: none;
  font-family: var(--font);
  overflow: hidden;
}

.botonblack{
  background: var(--colorblack);
  color: var(--colorWhite);
}

.botonwhite{
  background: var(--colorWhite);
  color: var(--colorblack);
  border: 2px solid var(--colorblack);
}

.botonblack:before,
.botonwhite:before{
  content: "";
  position: absolute;
  z-index: -1;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transform-origin: 50%;
  transform-origin: 50%;
  -webkit-transition-property: transform;
  -webkit-transition-property: -webkit-transform;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform,-webkit-transform;
  -webkit-transition-duration: 0.3s;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}

.botonblack:before {
  background:var(--colorRed);
}

.botonwhite:before {
  background:var(--colorblack);
}

.botonblack:hover:before,
.botonwhite:hover:before,
.botonblack:focus:before,
.botonwhite:focus:before{
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
}

.botonwhite:hover,
.botonwhite:focus{
  color: var(--colorWhite);
}

/* eol boton negro */

a.boton1, a.boton2, a.boton3, 
a.boton1c, a.boton2c, a.boton3c,
[class^="botonr"], [class*=" botonr"]{
  font-weight: normal;
  text-decoration: none;
  display: inline-block;
  margin: 5px 0 5px 0;
  border-radius: 3px;
  border: 2px solid transparent;
  transition: all .2s ease-in-out;
}

a.boton1, a.boton2, a.boton3{
  background-color: var(--colorWhite);
  color: var(--color-custom1-fondo);
  border: 2px solid var(--color-custom1-enlace);
}

a.boton1c, a.boton2c, a.boton3c,
[class^="botonr"], [class*=" botonr"]{
  color: var(--colorWhite)!important;
  background-color: var(--color-custom1-fondo);
}

[class^="botonr"], [class*=" botonr"]{
  border-radius: 50px;
}

a.botonr1p, a.botonr2p, a.botonr3p{
  --color-custom1-fondo:var(--color-ppal);
}

a.botonr1s, a.botonr2s, a.botonr3s{
  --color-custom1-fondo:var(--color-sec);
}

a.boton1c:focus,
a.boton1c:hover,
a.boton2c:focus,
a.boton2c:hover,
a.boton3c:focus,
a.boton3c:hover{
  background: 0 0;
  border-color: var(--color-custom1-fondo);
  color: var(--color-custom1-fondo);
}

a.boton1, a.boton1c, [class^="botonr1"], [class*=" botonr1"]{
  padding: 5px 20px;
}

a.boton2, a.boton2c, [class^="botonr2"], [class*=" botonr2"]{
  padding: 7px 22px;
}

a.boton3, a.boton3c, [class^="botonr3"], [class*=" botonr3"]{
  font-size: 1.8rem;
  padding: 14px 27px;
  font-weight: bold;
}

a.boton1:hover, a.boton2:hover, a.boton3:hover{
  background-color: #E5E5E5;
}

/* boton flecha */

a.button.arrow{
  box-sizing: border-box;
  outline: 0;
  font-family: var(--font);
  height: 6rem;
  padding: 16px 40px;
  font-size: 2.2rem;
  border-radius: 1.6rem;
  font-weight: bold;
  background-color: var(--color-custom1-enlace);
  box-shadow: 0 4px 0 rgba(0,0,0,0.15), 0 4px 0 var(--color-custom1), 0 4px 6px rgba(0,0,0,0.45);
  cursor: pointer;
  border: none;
  color: #fff;
  margin: 2rem 0;
  display: inline-block;
}

a.button.arrow:hover {
  transition: all 0.2s;
  transform: translateY(4px);
  box-shadow: 0 1px 2px rgba(0,0,0,0.45);
}

a.button.arrow:after{
  content: "\e900";
  margin-left: 15px;
  font-weight: bold;
  top: 1px;
  font-size: 1.9rem;
}

/* eol boton flecha */

/* eol botones */

/* avisos enlaces */

/* novedad1 */

a.novedad1,
a.novedad2{
  position: relative;
}

a.novedad2{
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

a.novedad1:after {
 content: "N";
 background: var(--colorRed);
}

a.novedad1:hover:after {
 content: "nuevo";
 background: var(--colorRed);
}

a.novedad2:before {
  content: "NEW";
  background: var(--colorRed);
 }

a.novedad1:after {
  position: absolute;
  width: 1.8rem;
  height: 1.8rem;
  line-height: 1.8rem;
  top: 50%;
  right: -2.6rem;
  transform: translateY(-50%);
  border-radius: 2rem;
  font-size: 2rem;
  font-weight: bold;
  color: var(--colorWhite);
  text-align: center;
  text-transform: uppercase;
  transition: right 0.4s, width 0.6s;
}

a.novedad1:hover:after {
  position: absolute;
  width: auto;
  height: auto;
  right: -6.5rem;
  padding: 1px 9px;
  font-size: 10px;
  color: var(--colorWhite);
  border-radius: 1ren;
  text-transform: uppercase;
  transition: width 0.4s, right 0.6s;
}

a.novedad2:before {
  position: relative;
  line-height: 1.8rem;
  border-radius: 0.2rem;
  font-size: 1rem;
  color: var(--colorWhite);
  text-align: center;
  text-transform: uppercase;
  transition: right 0.4s, width 0.6s;
  padding: 0px 6px;
  margin-right: 8px;
  font-weight: bold;
  /* justify-content: center; */
  display: flex;
  align-items: center;
}

/* end novedad1 */

/* eol avisos enlaces */
